%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Services_oEmbed
Summary:	%{_pearname} - A package for consuming oEmbed
Summary(pl.UTF-8):	%{_pearname} - pakiet do obsługi oEmebed
Name:		php-pear-%{_pearname}
Version:	0.2.1
Release:	1
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	fb43d6e6ab151cc33125e2bbb1eeec20
URL:		http://pear.php.net/package/Services_oEmbed/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(curl)
Requires:	php(json)
Requires:	php(pcre)
Requires:	php(simplexml)
Requires:	php(xml)
#Requires:	php-libxml
Requires:	php-pear
Requires:	php-pear-HTTP_Request >= 1.4.3
Requires:	php-pear-Net_URL2 >= 0.2.0
Requires:	php-pear-PEAR >= 1.4.0b1
Requires:	php-pear-Validate >= 0.8.4
Obsoletes:	php-pear-Services_oEmbed-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
oEmbed (http://www.oembed.com) is an open specification for
discovering more information about URI's. oEmbed services return
structure meta-data about a URI (e.g. type of object, title, author
information, thumbnail details, etc.).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
oEmebed (http://www.oembed.com) to otwarta specyfikacja opisująca
sposób odkrywania informacji o URI. Usługa oEmebed zwraca strukturę
zawierającą metadane o URI (n.p. typ obiektu, tytuł, informacja o
autorze, informacja o miniaturkach, itp.).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/oEmbed
%{php_pear_dir}/Services/oEmbed.php
%changelog
* Thu Oct 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Services_oEmbed.git;a=log;h=master

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> ffdaa0d
- up to 0.2.1

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 8d15a25
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Tue Feb 08 2011 Elan Ruusamäe <glen@pld-linux.org> 66622dc
- they likely wanted to tell to use xml ext

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> e5d8a6f
- updated to: 0.2.0

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 25144e3
- dropped -tests subpackage

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 9c1c958
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> da15b34
- updated deps with pearize.sh
- release 2

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> 87e18cb
- new

